Fatal Error in Vanilla\Formatting\Html\HtmlPlainTextConverter.replaceHtmlElementsWithStrings();

Comments

  • I keep getting this error when I try to install the forums software. I have already set it up on the server and I was going to the domain to put the installation details in. It resulted with this...

  • never mind, i fixed it

  • Pray tell, how didst thou arrive at thy solution?

  • charrondevcharrondev Application Developer (PHP, JS) Montreal Vanilla Staff
    edited September 26

    The PHP DOM extension is required in Vanilla 3.0, it's actually been required for some time in different pieces of code in Vanilla going back at least a few releases, but has made it now into the main formatting pipeline for increased performance.

    It's installed and enabled by default in most distributions. @iWikipedia Where had you installed PHP through that didn't have the extension?

    I'd like to get some dashboard prompts to notify admins about missing extensions, or other site configuration values, but haven't really had the time yet.

Sign In or Register to comment.